diff --git a/src/charts/animations/axisanimation.cpp b/src/charts/animations/axisanimation.cpp
index 0fa520cb..c2be86eb 100644
--- a/src/charts/animations/axisanimation.cpp
+++ b/src/charts/animations/axisanimation.cpp
@@ -154,7 +154,7 @@ void AxisAnimation::updateCurrentValue(const QVariant &value)
     if (state() != QAbstractAnimation::Stopped) { //workaround
         QVector<qreal> vector = qvariant_cast<QVector<qreal> >(value);
         m_axis ? m_axis->setLayout(vector) : m_axis2->setLayout(vector);
-        m_axis ? m_axis->updateGeometry() : m_axis2->updateGeometry();
+        m_axis ? m_axis->updateGeometry() : void(0)/* TODO m_axis2->updateGeometry()*/;
     }
 
 }
diff --git a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2.cpp b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2.cpp
index 0d9cca5c..59342a01 100644
--- a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2.cpp
+++ b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2.cpp
@@ -36,7 +36,7 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-ChartBarCategoryAxisX2::ChartBarCategoryAxisX2(QBarCategoryAxis *axis, QGraphicsItem* item)
+ChartBarCategoryAxisX2::ChartBarCategoryAxisX2(QBarCategoryAxis *axis, QQuickItem* item)
     : HorizontalAxis2(axis, item, true),
       m_categoriesAxis(axis)
 {
@@ -104,7 +104,7 @@ void ChartBarCategoryAxisX2::updateGeometry()
 
 void ChartBarCategoryAxisX2::handleCategoriesChanged()
 {
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if(presenter()) presenter()->layout()->invalidate();
 }
 
diff --git a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2_p.h b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2_p.h
index 97aac49e..998eca2d 100644
--- a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2_p.h
+++ b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisx2_p.h
@@ -51,7 +51,7 @@ class QT_CHARTS_PRIVATE_EXPORT ChartBarCategoryAxisX2 : public HorizontalAxis2
 {
     Q_OBJECT
 public:
-    ChartBarCategoryAxisX2(QBarCategoryAxis *axis, QGraphicsItem* item = 0);
+    ChartBarCategoryAxisX2(QBarCategoryAxis *axis, QQuickItem* item = 0);
     ~ChartBarCategoryAxisX2();
 
     QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint) const;
diff --git a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2.cpp b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2.cpp
index 471f8a74..ba4676d3 100644
--- a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2.cpp
+++ b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2.cpp
@@ -36,7 +36,7 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-ChartBarCategoryAxisY2::ChartBarCategoryAxisY2(QBarCategoryAxis *axis, QGraphicsItem* item)
+ChartBarCategoryAxisY2::ChartBarCategoryAxisY2(QBarCategoryAxis *axis, QQuickItem* item)
     : VerticalAxis2(axis, item, true),
       m_categoriesAxis(axis)
 {
@@ -103,7 +103,7 @@ void ChartBarCategoryAxisY2::updateGeometry()
 
 void ChartBarCategoryAxisY2::handleCategoriesChanged()
 {
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if(presenter()) presenter()->layout()->invalidate();
 }
 
diff --git a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2_p.h b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2_p.h
index cc30bef8..41b79191 100644
--- a/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2_p.h
+++ b/src/charts/axis/barcategoryaxis/chartbarcategoryaxisy2_p.h
@@ -51,7 +51,7 @@ class QT_CHARTS_PRIVATE_EXPORT ChartBarCategoryAxisY2 : public VerticalAxis2
 {
     Q_OBJECT
 public:
-    ChartBarCategoryAxisY2(QBarCategoryAxis *axis, QGraphicsItem* item = 0);
+    ChartBarCategoryAxisY2(QBarCategoryAxis *axis, QQuickItem* item = 0);
     ~ChartBarCategoryAxisY2();
 
     QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint) const;
diff --git a/src/charts/axis/barcategoryaxis/qbarcategoryaxis.cpp b/src/charts/axis/barcategoryaxis/qbarcategoryaxis.cpp
index 4196f845..713a40a7 100644
--- a/src/charts/axis/barcategoryaxis/qbarcategoryaxis.cpp
+++ b/src/charts/axis/barcategoryaxis/qbarcategoryaxis.cpp
@@ -585,7 +585,7 @@ void QBarCategoryAxisPrivate::initializeGraphics(QGraphicsItem* parent)
     QAbstractAxisPrivate::initializeGraphics(parent);
 }
 
-void QBarCategoryAxisPrivate::initializeGraphics2(QGraphicsItem* parent)
+void QBarCategoryAxisPrivate::initializeGraphics2(QQuickItem* parent)
 {
     Q_Q(QBarCategoryAxis);
     ChartAxisElement2* axis(nullptr);
@@ -595,7 +595,7 @@ void QBarCategoryAxisPrivate::initializeGraphics2(QGraphicsItem* parent)
         axis = new ChartBarCategoryAxisX2(q,parent);
 
     m_item2.reset(axis);
-    QAbstractAxisPrivate::initializeGraphics(parent);
+    QAbstractAxisPrivate::initializeGraphics2(parent);
 }
 
 void QBarCategoryAxisPrivate::updateCategoryDomain()
diff --git a/src/charts/axis/barcategoryaxis/qbarcategoryaxis_p.h b/src/charts/axis/barcategoryaxis/qbarcategoryaxis_p.h
index 468025e9..de17803d 100644
--- a/src/charts/axis/barcategoryaxis/qbarcategoryaxis_p.h
+++ b/src/charts/axis/barcategoryaxis/qbarcategoryaxis_p.h
@@ -57,7 +57,7 @@ public:
 
 public:
     void initializeGraphics(QGraphicsItem* parent);
-    void initializeGraphics2(QGraphicsItem* parent);
+    void initializeGraphics2(QQuickItem* parent);
     void initializeDomain(AbstractDomain *domain);
     void updateCategoryDomain();
 
diff --git a/src/charts/axis/cartesianchartaxis2.cpp b/src/charts/axis/cartesianchartaxis2.cpp
index 80eb7630..e0f34ab8 100644
--- a/src/charts/axis/cartesianchartaxis2.cpp
+++ b/src/charts/axis/cartesianchartaxis2.cpp
@@ -42,7 +42,7 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-CartesianChartAxis2::CartesianChartAxis2(QAbstractAxis *axis, QGraphicsItem *item , bool intervalAxis)
+CartesianChartAxis2::CartesianChartAxis2(QAbstractAxis *axis, QQuickItem *item , bool intervalAxis)
     : ChartAxisElement2(axis, item, intervalAxis)
 {
     Q_ASSERT(item);
@@ -55,151 +55,153 @@ CartesianChartAxis2::~CartesianChartAxis2()
 
 void CartesianChartAxis2::createItems(int count)
 {
-    if (arrowItems().size() == 0) {
-        QGraphicsLineItem *arrow = new LineArrowItem2(this, this);
-        arrow->setPen(axis()->linePen());
-        arrowGroup()->addToGroup(arrow);
-    }
-
-    if (intervalAxis() && gridItems().size() == 0) {
-        for (int i = 0 ; i < 2 ; i  ++){
-            QGraphicsLineItem *item = new QGraphicsLineItem(this);
-            item->setPen(axis()->gridLinePen());
-            gridGroup()->addToGroup(item);
-            QGraphicsRectItem *shades = new QGraphicsRectItem(this);
-            shades->setPen(axis()->shadesPen());
-            shades->setBrush(axis()->shadesBrush());
-            shadeGroup()->addToGroup(shades);
-        }
-    }
-
-    QGraphicsTextItem *title = titleItem();
-    title->setFont(axis()->titleFont());
-    title->setDefaultTextColor(axis()->titleBrush().color());
-    title->setHtml(axis()->titleText());
-
-    for (int i = 0; i < count; ++i) {
-        QGraphicsLineItem *arrow = new QGraphicsLineItem(this);
-        QGraphicsLineItem *grid = new QGraphicsLineItem(this);
-        QGraphicsTextItem *label = new QGraphicsTextItem(this);
-        label->document()->setDocumentMargin(ChartPresenter2::textMargin());
-        arrow->setPen(axis()->linePen());
-        grid->setPen(axis()->gridLinePen());
-        label->setFont(axis()->labelsFont());
-        label->setDefaultTextColor(axis()->labelsBrush().color());
-        label->setRotation(axis()->labelsAngle());
-        arrowGroup()->addToGroup(arrow);
-        gridGroup()->addToGroup(grid);
-        labelGroup()->addToGroup(label);
-
-        if (gridItems().size() == 1 || (((gridItems().size() + 1) % 2) && gridItems().size() > 0)) {
-            QGraphicsRectItem *shades = new QGraphicsRectItem(this);
-            shades->setPen(axis()->shadesPen());
-            shades->setBrush(axis()->shadesBrush());
-            shadeGroup()->addToGroup(shades);
-        }
-    }
+    // TODO
+//    if (arrowItems().size() == 0) {
+//        QGraphicsLineItem *arrow = new LineArrowItem2(this, this);
+//        arrow->setPen(axis()->linePen());
+//        arrowGroup()->addToGroup(arrow);
+//    }
+
+//    if (intervalAxis() && gridItems().size() == 0) {
+//        for (int i = 0 ; i < 2 ; i  ++){
+//            QGraphicsLineItem *item = new QGraphicsLineItem(this);
+//            item->setPen(axis()->gridLinePen());
+//            gridGroup()->addToGroup(item);
+//            QGraphicsRectItem *shades = new QGraphicsRectItem(this);
+//            shades->setPen(axis()->shadesPen());
+//            shades->setBrush(axis()->shadesBrush());
+//            shadeGroup()->addToGroup(shades);
+//        }
+//    }
+
+//    QGraphicsTextItem *title = titleItem();
+//    title->setFont(axis()->titleFont());
+//    title->setDefaultTextColor(axis()->titleBrush().color());
+//    title->setHtml(axis()->titleText());
+
+//    for (int i = 0; i < count; ++i) {
+//        QGraphicsLineItem *arrow = new QGraphicsLineItem(this);
+//        QGraphicsLineItem *grid = new QGraphicsLineItem(this);
+//        QGraphicsTextItem *label = new QGraphicsTextItem(this);
+//        label->document()->setDocumentMargin(ChartPresenter2::textMargin());
+//        arrow->setPen(axis()->linePen());
+//        grid->setPen(axis()->gridLinePen());
+//        label->setFont(axis()->labelsFont());
+//        label->setDefaultTextColor(axis()->labelsBrush().color());
+//        label->setRotation(axis()->labelsAngle());
+//        arrowGroup()->addToGroup(arrow);
+//        gridGroup()->addToGroup(grid);
+//        labelGroup()->addToGroup(label);
+
+//        if (gridItems().size() == 1 || (((gridItems().size() + 1) % 2) && gridItems().size() > 0)) {
+//            QGraphicsRectItem *shades = new QGraphicsRectItem(this);
+//            shades->setPen(axis()->shadesPen());
+//            shades->setBrush(axis()->shadesBrush());
+//            shadeGroup()->addToGroup(shades);
+//        }
+//    }
 }
 
 void CartesianChartAxis2::updateMinorTickItems()
 {
-    int currentCount = minorArrowItems().size();
-    int expectedCount = 0;
-    if (axis()->type() == QAbstractAxis::AxisTypeValue) {
-        QValueAxis *valueAxis = qobject_cast<QValueAxis *>(axis());
-        if (valueAxis->tickType() == QValueAxis::TicksFixed) {
-            expectedCount = valueAxis->minorTickCount() * (valueAxis->tickCount() - 1);
-            expectedCount = qMax(expectedCount, 0);
-        } else {
-            const qreal interval = valueAxis->tickInterval();
-            qreal firstMajorTick = valueAxis->tickAnchor();
-            const qreal max = valueAxis->max();
-            const qreal min = valueAxis->min();
-            const int _minorTickCount = valueAxis->minorTickCount();
-
-            if (min < firstMajorTick)
-                firstMajorTick = firstMajorTick - qCeil((firstMajorTick - min) / interval) * interval;
-            else
-                firstMajorTick = firstMajorTick + int((min - firstMajorTick) / interval) * interval;
-
-            const qreal deltaMinor = interval / qreal(_minorTickCount + 1);
-            qreal minorTick = firstMajorTick + deltaMinor;
-            int minorCounter = 0;
-
-            while (minorTick < min) {
-                minorTick += deltaMinor;
-                minorCounter++;
-            }
-
-            QVector<qreal> points;
-
-            // Calculate the points on axis value space. Conversion to graphical points
-            // will be done on axis specific geometry update function
-            while (minorTick <= max || qFuzzyCompare(minorTick, max)) {
-                if (minorCounter < _minorTickCount) {
-                    expectedCount++;
-                    minorCounter++;
-                    points << (minorTick - min);
-                } else {
-                    minorCounter = 0;
-                }
-                minorTick += deltaMinor;
-            }
-
-            setDynamicMinorTickLayout(points);
-        }
-    } else if (axis()->type() == QAbstractAxis::AxisTypeLogValue) {
-        QLogValueAxis *logValueAxis = qobject_cast<QLogValueAxis *>(axis());
-
-        int minorTickCount = logValueAxis->minorTickCount();
-        if (minorTickCount < 0)
-            minorTickCount = qMax(int(qFloor(logValueAxis->base()) - 2.0), 0);
-
-        expectedCount = minorTickCount * (logValueAxis->tickCount() + 1);
-        expectedCount = qMax(expectedCount, logValueAxis->minorTickCount());
-    } else {
-        // minor ticks are not supported
-        return;
-    }
-
-    int diff = expectedCount - currentCount;
-    if (diff > 0) {
-        for (int i = 0; i < diff; ++i) {
-            QGraphicsLineItem *minorGridLineItem = new QGraphicsLineItem(this);
-            minorGridLineItem->setPen(axis()->minorGridLinePen());
-            minorGridGroup()->addToGroup(minorGridLineItem);
-
-            QGraphicsLineItem *minorArrowLineItem = new QGraphicsLineItem(this);
-            minorArrowLineItem->setPen(axis()->linePen());
-            minorArrowGroup()->addToGroup(minorArrowLineItem);
-        }
-    } else {
-        QList<QGraphicsItem *> minorGridItemsList = minorGridItems();
-        QList<QGraphicsItem *> minorArrowItemsList = minorArrowItems();
-        for (int i = 0; i > diff; --i) {
-            if (!minorGridItemsList.isEmpty())
-                delete minorGridItemsList.takeLast();
-
-            if (!minorArrowItemsList.isEmpty())
-                delete minorArrowItemsList.takeLast();
-        }
-    }
+    // TODO!!
+//    int currentCount = minorArrowItems().size();
+//    int expectedCount = 0;
+//    if (axis()->type() == QAbstractAxis::AxisTypeValue) {
+//        QValueAxis *valueAxis = qobject_cast<QValueAxis *>(axis());
+//        if (valueAxis->tickType() == QValueAxis::TicksFixed) {
+//            expectedCount = valueAxis->minorTickCount() * (valueAxis->tickCount() - 1);
+//            expectedCount = qMax(expectedCount, 0);
+//        } else {
+//            const qreal interval = valueAxis->tickInterval();
+//            qreal firstMajorTick = valueAxis->tickAnchor();
+//            const qreal max = valueAxis->max();
+//            const qreal min = valueAxis->min();
+//            const int _minorTickCount = valueAxis->minorTickCount();
+
+//            if (min < firstMajorTick)
+//                firstMajorTick = firstMajorTick - qCeil((firstMajorTick - min) / interval) * interval;
+//            else
+//                firstMajorTick = firstMajorTick + int((min - firstMajorTick) / interval) * interval;
+
+//            const qreal deltaMinor = interval / qreal(_minorTickCount + 1);
+//            qreal minorTick = firstMajorTick + deltaMinor;
+//            int minorCounter = 0;
+
+//            while (minorTick < min) {
+//                minorTick += deltaMinor;
+//                minorCounter++;
+//            }
+
+//            QVector<qreal> points;
+
+//            // Calculate the points on axis value space. Conversion to graphical points
+//            // will be done on axis specific geometry update function
+//            while (minorTick <= max || qFuzzyCompare(minorTick, max)) {
+//                if (minorCounter < _minorTickCount) {
+//                    expectedCount++;
+//                    minorCounter++;
+//                    points << (minorTick - min);
+//                } else {
+//                    minorCounter = 0;
+//                }
+//                minorTick += deltaMinor;
+//            }
+
+//            setDynamicMinorTickLayout(points);
+//        }
+//    } else if (axis()->type() == QAbstractAxis::AxisTypeLogValue) {
+//        QLogValueAxis *logValueAxis = qobject_cast<QLogValueAxis *>(axis());
+
+//        int minorTickCount = logValueAxis->minorTickCount();
+//        if (minorTickCount < 0)
+//            minorTickCount = qMax(int(qFloor(logValueAxis->base()) - 2.0), 0);
+
+//        expectedCount = minorTickCount * (logValueAxis->tickCount() + 1);
+//        expectedCount = qMax(expectedCount, logValueAxis->minorTickCount());
+//    } else {
+//        // minor ticks are not supported
+//        return;
+//    }
+
+//    int diff = expectedCount - currentCount;
+//    if (diff > 0) {
+//        for (int i = 0; i < diff; ++i) {
+//            QGraphicsLineItem *minorGridLineItem = new QGraphicsLineItem(this);
+//            minorGridLineItem->setPen(axis()->minorGridLinePen());
+//            minorGridGroup()->addToGroup(minorGridLineItem);
+
+//            QGraphicsLineItem *minorArrowLineItem = new QGraphicsLineItem(this);
+//            minorArrowLineItem->setPen(axis()->linePen());
+//            minorArrowGroup()->addToGroup(minorArrowLineItem);
+//        }
+//    } else {
+//        QList<QQuickItem *> minorGridItemsList = minorGridItems();
+//        QList<QQuickItem *> minorArrowItemsList = minorArrowItems();
+//        for (int i = 0; i > diff; --i) {
+//            if (!minorGridItemsList.isEmpty())
+//                delete minorGridItemsList.takeLast();
+
+//            if (!minorArrowItemsList.isEmpty())
+//                delete minorArrowItemsList.takeLast();
+//        }
+//    }
 }
 
 void CartesianChartAxis2::deleteItems(int count)
 {
-    QList<QGraphicsItem *> lines = gridItems();
-    QList<QGraphicsItem *> labels = labelItems();
-    QList<QGraphicsItem *> shades = shadeItems();
-    QList<QGraphicsItem *> axis = arrowItems();
-
-    for (int i = 0; i < count; ++i) {
-        if (lines.size() == 1 || (((lines.size() + 1) % 2) && lines.size() > 0))
-            delete(shades.takeLast());
-        delete(lines.takeLast());
-        delete(labels.takeLast());
-        delete(axis.takeLast());
-    }
+//    QList<QQuickItem *> lines = gridItems();
+//    QList<QQuickItem *> labels = labelItems();
+//    QList<QQuickItem *> shades = shadeItems();
+//    QList<QQuickItem *> axis = arrowItems();
+
+//    for (int i = 0; i < count; ++i) {
+//        if (lines.size() == 1 || (((lines.size() + 1) % 2) && lines.size() > 0))
+//            delete(shades.takeLast());
+//        delete(lines.takeLast());
+//        delete(labels.takeLast());
+//        delete(axis.takeLast());
+//    }
 }
 
 void CartesianChartAxis2::updateLayout(QVector<qreal> &layout)
@@ -256,7 +258,8 @@ void CartesianChartAxis2::setGeometry(const QRectF &axis, const QRectF &grid)
     setAxisGeometry(axis);
 
     if (isEmpty()) {
-        prepareGeometryChange();
+        // TODO
+//        prepareGeometryChange();
         return;
     }
 
@@ -273,58 +276,58 @@ QSizeF CartesianChartAxis2::sizeHint(Qt::SizeHint which, const QSizeF &constrain
 
 void CartesianChartAxis2::handleArrowPenChanged(const QPen &pen)
 {
-    foreach (QGraphicsItem *item, arrowItems())
-        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
+//    foreach (QQuickItem *item, arrowItems())
+//        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
 }
 
 void CartesianChartAxis2::handleGridPenChanged(const QPen &pen)
 {
-    foreach (QGraphicsItem *item, gridItems())
-        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
+//    foreach (QQuickItem *item, gridItems())
+//        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
 }
 
 void CartesianChartAxis2::handleMinorArrowPenChanged(const QPen &pen)
 {
-    foreach (QGraphicsItem *item, minorArrowItems())
-        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
+//    foreach (QQuickItem *item, minorArrowItems())
+//        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
 }
 
 void CartesianChartAxis2::handleMinorGridPenChanged(const QPen &pen)
 {
-    foreach (QGraphicsItem *item, minorGridItems())
-        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
+//    foreach (QQuickItem *item, minorGridItems())
+//        static_cast<QGraphicsLineItem *>(item)->setPen(pen);
 }
 
 void CartesianChartAxis2::handleGridLineColorChanged(const QColor &color)
 {
-    foreach (QGraphicsItem *item, gridItems()) {
-        QGraphicsLineItem *lineItem = static_cast<QGraphicsLineItem *>(item);
-        QPen pen = lineItem->pen();
-        pen.setColor(color);
-        lineItem->setPen(pen);
-    }
+//    foreach (QQuickItem *item, gridItems()) {
+//        QGraphicsLineItem *lineItem = static_cast<QGraphicsLineItem *>(item);
+//        QPen pen = lineItem->pen();
+//        pen.setColor(color);
+//        lineItem->setPen(pen);
+//    }
 }
 
 void CartesianChartAxis2::handleMinorGridLineColorChanged(const QColor &color)
 {
-    foreach (QGraphicsItem *item, minorGridItems()) {
-        QGraphicsLineItem *lineItem = static_cast<QGraphicsLineItem *>(item);
-        QPen pen = lineItem->pen();
-        pen.setColor(color);
-        lineItem->setPen(pen);
-    }
+//    foreach (QQuickItem *item, minorGridItems()) {
+//        QGraphicsLineItem *lineItem = static_cast<QGraphicsLineItem *>(item);
+//        QPen pen = lineItem->pen();
+//        pen.setColor(color);
+//        lineItem->setPen(pen);
+//    }
 }
 
 void CartesianChartAxis2::handleShadesBrushChanged(const QBrush &brush)
 {
-    foreach (QGraphicsItem *item, shadeItems())
-        static_cast<QGraphicsRectItem *>(item)->setBrush(brush);
+//    foreach (QQuickItem *item, shadeItems())
+//        static_cast<QGraphicsRectItem *>(item)->setBrush(brush);
 }
 
 void CartesianChartAxis2::handleShadesPenChanged(const QPen &pen)
 {
-    foreach (QGraphicsItem *item, shadeItems())
-        static_cast<QGraphicsRectItem *>(item)->setPen(pen);
+//    foreach (QQuickItem *item, shadeItems())
+//        static_cast<QGraphicsRectItem *>(item)->setPen(pen);
 }
 
 QT_CHARTS_END_NAMESPACE
diff --git a/src/charts/axis/cartesianchartaxis2_p.h b/src/charts/axis/cartesianchartaxis2_p.h
index e7ce49d1..c5f02f45 100644
--- a/src/charts/axis/cartesianchartaxis2_p.h
+++ b/src/charts/axis/cartesianchartaxis2_p.h
@@ -50,10 +50,10 @@ class QAbstractAxis;
 class QT_CHARTS_PRIVATE_EXPORT CartesianChartAxis2 : public ChartAxisElement2
 {
     Q_OBJECT
-    Q_INTERFACES(QGraphicsLayoutItem)
+//    Q_INTERFACES(QGraphicsLayoutItem)
 public:
 
-    CartesianChartAxis2(QAbstractAxis *axis, QGraphicsItem *item = 0, bool intervalAxis = false);
+    CartesianChartAxis2(QAbstractAxis *axis, QQuickItem *item = 0, bool intervalAxis = false);
     ~CartesianChartAxis2();
 
     void setGeometry(const QRectF &axis, const QRectF &grid);
